No intended functional change; only what *make* prints should be different.

	commit bb43afb0d70311dc9fd7633133c3c4fec32511e6
	Author: Eric Siegerman <pub08-git@davor.org>
	Date:   Tue Oct 31 02:33:13 2017 -0400

	    Refactor "make docs" to eliminate confusing output
	    
	    The the many lines of arguments to the ikiwiki command would
	    always be printed -- even if ikiwiki was unavailable.  Now
	    you'll only see them if they're accomplishing something.

	diff --git a/Makefile b/Makefile
	index aceb65cae..121b19a99 100644
	--- a/Makefile
	+++ b/Makefile
	@@ -88,16 +88,21 @@ tags:
	 # If ikiwiki is available, build static html docs suitable for being
	 # shipped in the software package.
	 ifeq ($(shell which ikiwiki),)
	-IKIWIKI=echo "** ikiwiki not found, skipping building docs" >&2; true
	+BUILD_DOCS=_skip_building_docs
	 else
	-IKIWIKI=ikiwiki
	+BUILD_DOCS = _build_docs
	 endif
	 
	 mans: Build/MakeMans
		./Build/MakeMans
	 
	-docs: mans
	-	LC_ALL=C TZ=UTC $(IKIWIKI) doc html -v --wikiname git-annex \
	+docs: mans $(BUILD_DOCS)
	+
	+_skip_building_docs:
	+	@echo "** ikiwiki not found, skipping building docs" >&2
	+
	+_build_docs:
	+	LC_ALL=C TZ=UTC ikiwiki doc html -v --wikiname git-annex \
			--plugin=goodstuff \
			--no-usedirs --disable-plugin=openid --plugin=sidebar \
			--plugin theme --set theme=actiontabs --set deterministic=1 \

> [[done]] --[[Joey]]
